<?

/* Nulled by Wizzywig */
/***********تعريب***********/
/**          saher        **/
/**  منتديات شباب وصبايا  **/
/**   www.shababtop.com   **/
/**  saher1986@live.com   **/
/***************************/
	session_start();
	require_once ("../includes/data_core.php");
	require_once ("includes/functions_update.php");

	// Check Admin is Logged In
	require_once ("includes/functions_login.php");
	
	// Get the page to process
	if (!empty($_GET['do']))
		$do = $_GET['do'];
	else
		$do = "chatsettings";
		
	
	// Chat Features Submit Processor
	if (isset($_POST['chatfeatures_submit']) || isset($_POST['chatfeatures_submit_x'])) {
		if (!isset($_POST['hide_bar_on'])) { $_POST['hide_bar_on'] = 0; }
		if (!isset($_POST['chatrooms_on'])) { $_POST['chatrooms_on'] = 0; }
		if (!isset($_POST['notifications_on'])) { $_POST['notifications_on'] = 0; }
		if (!isset($_POST['applications_on'])) { $_POST['applications_on'] = 0; }
		if (!isset($_POST['popout_chat_on'])) { $_POST['popout_chat_on'] = 0; }
		if (!isset($_POST['theme_change_on'])) { $_POST['theme_change_on'] = 0; }
	
		$sql = "UPDATE arrowchat_config SET config_value = CASE WHEN config_name = 'hide_bar_on' THEN '".$_POST[hide_bar_on]."'
																WHEN config_name = 'chatrooms_on' THEN '".$_POST[chatrooms_on]."'
																WHEN config_name = 'notifications_on' THEN '".$_POST[notifications_on]."'
																WHEN config_name = 'applications_on' THEN '".$_POST[applications_on]."'
																WHEN config_name = 'popout_chat_on' THEN '".$_POST[popout_chat_on]."'
																WHEN config_name = 'theme_change_on' THEN '".$_POST[theme_change_on]."'
															END WHERE config_name IN ('hide_bar_on', 'chatrooms_on', 'notifications_on', 'applications_on', 'popout_chat_on', 'theme_change_on')";
		$result = mysql_query($sql);
					
		if ($result) {
			$hide_bar_on = $_POST['hide_bar_on'];
			$chatrooms_on = $_POST['chatrooms_on'];
			$notifications_on = $_POST['notifications_on'];
			$applications_on = $_POST['applications_on'];
			$popout_chat_on = $_POST['popout_chat_on'];
			$theme_change_on = $_POST['theme_change_on'];
			update_config_file();
			$msg = "تم حفظ الإعدادات بنجاح.";
		} else
			$error = "هناك خطأ من قاعدة البيانات. حاول مرة أخرى.";
	}
	
	// Config Settings Submit Processor
	if (isset($_POST['config_submit']) || isset($_POST['config_submit_x'])) {
		if (!isset($_POST['config_disable_smilies'])) { $_POST['config_disable_smilies'] = 0; }
		if (!isset($_POST['config_disable_long_polling'])) { $_POST['config_disable_long_polling'] = 0; }
	
		$sql = "UPDATE arrowchat_config SET config_value = CASE WHEN config_name = 'channel_name' THEN '".$_POST[config_sub_url]."'
																WHEN config_name = 'base_url' THEN '".$_POST[config_base_url]."'
																WHEN config_name = 'online_timeout' THEN '".$_POST[config_online_timeout]."'
																WHEN config_name = 'disable_smilies' THEN '".$_POST[config_disable_smilies]."'
																WHEN config_name = 'disable_long_polling' THEN '".$_POST[config_disable_long_polling]."'
																WHEN config_name = 'heart_beat' THEN '".$_POST[config_heart_beat]."'
																WHEN config_name = 'idle_time' THEN '".$_POST[config_idle_time]."'
															END WHERE config_name IN ('channel_name', 'base_url', 'online_timeout', 'disable_smilies', 'disable_long_polling', 'heart_beat', 'idle_time')";
		$result = mysql_query($sql);
					
		if ($result) {
			$channel_name = $_POST['config_sub_url'];
			$base_url = $_POST['config_base_url'];
			$online_timeout = $_POST['config_online_timeout'];
			$disable_smilies = $_POST['config_disable_smilies'];
			$disable_long_polling = $_POST['config_disable_long_polling'];
			$heart_beat = $_POST['config_heart_beat'];
			$idle_time = $_POST['config_idle_time'];
			update_config_file();
			$msg = "تم حفظ الإعدادات بنجاح.";
		} else
			$error = "هناك خطأ من قاعدة البيانات. حاول مرة أخرى.";
	}
	
	// Activate Bar Link Processor
	if (isset($_GET['activate']) && $do == "traylinks") {
		if (empty($_GET['id'])) {
			$error = "لم يتم العثور على رابط للتفعيل";
		}
		
		if (empty($error)) {
			$active = 1;
			if ($_GET['activate'] == 1) {
				$active = 0;
			}
			
			$sql = "UPDATE arrowchat_trayicons SET active='".$active."' WHERE id='".mysql_real_escape_string($_GET['id'])."'";
			$result = mysql_query($sql);
			if ($result) {
				$msg = "تم تفعيل/تعطيل الرابط بنجاح.";
				update_config_file();
			} else {
				$error = "هناك خطأ من قاعدة البيانات. حاول مرة أخرى.";
			}
		}
	}
	
	// Delete Bar Link Processor
	if (isset($_GET['delete']) && $do == "traylinks") {
		if (empty($_GET['delete'])) {
			$error = "لم يتم العثور على الرابط لحذفه.";
		}
		
		if (empty($error)) {
			$sql = "DELETE FROM arrowchat_trayicons WHERE id='".mysql_real_escape_string($_GET['delete'])."'";
			$result = mysql_query($sql);
			if ($result) {
				$msg = "تم حذف الرابط بنجاح.";
				update_config_file();
			} else {
				$error = "هناك خطأ من قاعدة البيانات. حاول مرة أخرى.";
			}
		}
	}
	
	// Add Bar Link Processor
	if (isset($_POST['link_add_submit']) || isset($_POST['link_add_submit_x'])) {
		if (empty($_POST['link_name'])) {
			$error = "يجب أن تكتب إسمًا لهذا الرابط";
		}
		
		if (empty($_POST['link_icon'])) {
			$error = "يجب أن تحدد أيقونة لهذا الرابط.";
		}
		
		if (empty($error)) {
			$sql = "SELECT MAX(tray_location) FROM arrowchat_trayicons";
			$result = mysql_query($sql);
			$row = mysql_fetch_array($result);
			if (empty($row['MAX(tray_location)']))
				$tray_location = 1;
			else
				$tray_location = $row['MAX(tray_location)'] + 1;
			if (empty($_POST['link_tab_width']))
				$tab_width = null;
			else
				$tab_width = $_POST['link_tab_width'];
				
			$sql = "INSERT INTO arrowchat_trayicons (name, icon, location, target, tray_width, tray_name, tray_location, active) VALUES ('".mysql_real_escape_string($_POST[link_name])."', '".mysql_real_escape_string($_POST[link_icon])."', '".mysql_real_escape_string($_POST[link_url])."', '".mysql_real_escape_string($_POST[link_target])."', '".$tab_width."', '".mysql_real_escape_string($_POST[link_tab_name])."', '".$tray_location."', '0')";
			$result = mysql_query($sql);
			if ($result) {
				$msg = "تم إضافة الابتسامة بنجاح.";
				update_config_file();
			} else {
				$error = "هناك خطأ من قاعدة البيانات. حاول مرة أخرى.";
			}
		}
	}
	
	// Edit Bar Link Processor
	if (isset($_POST['link_edit_submit']) || isset($_POST['link_edit_submit_x'])) {

		if (empty($_POST['link_name'])) {
			$error = "يجب أن تكتب إسمًا لهذا الرابط.";
		}
		
		if (empty($_POST['link_icon'])) {
			$error = "يجب أن تحدد أيقونة لهذا الرابط.";
		}
		
		if (empty($error)) {
			
			$sql = "UPDATE arrowchat_trayicons SET name='".mysql_real_escape_string($_POST[link_name])."', icon='".mysql_real_escape_string($_POST[link_icon])."', location='".mysql_real_escape_string($_POST[link_url])."', target='".mysql_real_escape_string($_POST[link_target])."', tray_width='".mysql_real_escape_string($_POST[link_tab_width])."', tray_name='".mysql_real_escape_string($_POST[link_tab_name])."' WHERE id='".mysql_real_escape_string($_POST[link_id])."'";
			$result = mysql_query($sql);
			if ($result) {
				$msg = "تم تعديل الرابط بنجاح.";
				update_config_file();
			} else {
				$error = "هناك خطأ من قاعدة البيانات. حاول مرة أخرى.";
			}
		}
		$_GET['id'] = $_POST['link_id'];
	}
	
	// Activate Application Processor
	if (isset($_GET['activate']) && $do == "appsettings") {
		if (empty($_GET['id'])) {
			$error = "لم يتم العثور على التطبيق لتفعيله.";
		}
		
		if (empty($error)) {
			$active = 1;
			if ($_GET['activate'] == 1) {
				$active = 0;
			}
			
			$sql = "UPDATE arrowchat_applications SET active='".$active."' WHERE id='".mysql_real_escape_string($_GET['id'])."'";
			$result = mysql_query($sql);
			if ($result) {
				$msg = "تم تفعيل/تعطيل التطبيق بنجاح.";
				update_config_file();
			} else {
				$error = "هناك خطأ من قاعدة البيانات. حاول مرة أخرى.";
			}
		}
	}
	
	// Delete Application Processor
	if (isset($_GET['delete']) && $do == "appsettings") {
		if (empty($_GET['delete'])) {
			$error = "لم يتم العثور على التطبيق لإزالته.";
		}
		
		if (empty($error)) {
			$sql = "DELETE FROM arrowchat_applications WHERE id='".mysql_real_escape_string($_GET['delete'])."'";
			$result = mysql_query($sql);
			if ($result) {
				$msg = "تم إزالة التطبيق بنجاح.";
				update_config_file();
			} else {
				$error = "هناك خطأ من قاعدة البيانات. حاول مرة أخرى.";
			}
		}
	}
	
	// Application Install Submit Processor
	if (isset($_GET['f']) && $do == "appsettings") {
		include_once("../applications/".$_GET['f']."/install_config.php");
		
		$sql = "SELECT * FROM arrowchat_applications WHERE arrowchat_applications.folder='".mysql_real_escape_string($folder_location)."' OR arrowchat_applications.name='".mysql_real_escape_string($application_name)."'";
		$result = mysql_query($sql);
		if ($result && mysql_num_rows($result) > 0) {
			$error = "يوجد حاليًا تطبيق يستخدم هذا الإسم او المجلد الخاص بالتطبيق.";
		}

		if (empty($application_name)) {
			$error = "ملف التنصيب لا يحتوي على إسم لهذا التطبيق.";
		}
		
		if (empty($folder_location)) {
			$error = "ملف التنصيب لا يحتوي على مكان المجلد لهذا التطبيق.";
		}
		
		if (empty($error)) {
			
			$sql = "INSERT INTO arrowchat_applications (name, folder, icon, width, height, link, update_link, version, active) VALUES ('".mysql_real_escape_string($application_name)."', '".mysql_real_escape_string($folder_location)."', '".mysql_real_escape_string($application_icon)."', '".mysql_real_escape_string($application_width)."', '".mysql_real_escape_string($application_height)."', '".mysql_real_escape_string($application_link)."', '".mysql_real_escape_string($update_link)."', '".mysql_real_escape_string($application_version)."', '0')";
			$result = mysql_query($sql);
			if ($result) {
				$msg = "تم تثبيت التطبيق بنجاح.";
				update_config_file();
			} else {
				$error = "هناك خطأ من قاعدة البيانات. حاول مرة أخرى.";
			}
		}
	}
	
	// Edit Application Processor
	if (isset($_POST['app_edit_submit']) || isset($_POST['app_edit_submit_x'])) {

		if (empty($_POST['app_name'])) {
			$error = "يجب أن تكتب اسم لهذا التطبيق.";
		}
		
		if (empty($_POST['app_folder'])) {
			$error = "يجب أن تكتب مسار المجلد لهذا التطبيق.";
		}
		
		if (empty($_POST['app_icon'])) {
			$error = "يجب أن تحدد أيقونة لهذا التطبيق.";
		}
		
		if (empty($error)) {
			
			$sql = "UPDATE arrowchat_applications SET name='".mysql_real_escape_string($_POST[app_name])."', icon='".mysql_real_escape_string($_POST[app_icon])."', folder='".mysql_real_escape_string($_POST[app_folder])."', width='".mysql_real_escape_string($_POST[app_width])."', height='".mysql_real_escape_string($_POST[app_height])."', link='".mysql_real_escape_string($_POST[app_url])."', update_link='".mysql_real_escape_string($_POST[app_update_url])."' WHERE id='".mysql_real_escape_string($_POST[app_id])."'";
			$result = mysql_query($sql);
			if ($result) {
				$msg = "تم تحديث التطبيق بنجاح.";
				update_config_file();
			} else {
				$error = "هناك خطأ من قاعدة البيانات. حاول مرة أخرى.";
			}
		}
		$_GET['id'] = $_POST['link_id'];
	}
	
	// Add Notification Processor
	if (isset($_POST['add_notification_submit']) || isset($_POST['add_notification_submit_x'])) {
		if (empty($_POST['add_notification_name'])) {
			$error = "يجب أن تكتب إسمًا لهذا التنبيه.";
		}
		
		if (empty($_POST['add_notification_markup'])) {
			$error = "يجب أن تكتب صيغة وكود التنبيه.";
		}
		
		if (empty($error)) {
			$sql = "SELECT MAX(type) FROM arrowchat_notifications_markup";
			$result = mysql_query($sql);
			$row = mysql_fetch_array($result);
			if (empty($row['MAX(type)']))
				$type = 1;
			else
				$type = $row['MAX(type)'] + 1;
				
			$sql = "INSERT INTO arrowchat_notifications_markup (name, type, markup) VALUES ('".mysql_real_escape_string($_POST[add_notification_name])."', '".$type."', '".stripslashes($_POST[add_notification_markup])."')";
			$result = mysql_query($sql);
			if ($result) {
				$msg = "تم إضافة التنبيه بنجاح ويحمل الرقم ".$type.". يجب أن تضيف جملة mySQL تعود لمكان حدوث التنبيه لكي يعمل التنبيه بنجاح. يمكنك العودة لدليل ArrowChat لمزيد من المعلومات.";
			} else {
				$error = "هناك خطأ من قاعدة البيانات. حاول مرة أخرى.";
			}
		}
	}
	
	// Delete Notifications Processor
	if (isset($_GET['delete']) && $do == "notificationsettings") {
		if (empty($_GET['delete'])) {
			$error = "لم يتم العثور على التنبيه لحذفه.";
		}
		
		if (empty($error)) {
			$sql = "DELETE FROM arrowchat_notifications_markup WHERE id='".mysql_real_escape_string($_GET['delete'])."'";
			$result = mysql_query($sql);
			if ($result) {
				$msg = "تم إزالة التنبيه بنجاح. يجب عليك أن تحذف جملة الـ mySQL التي تستدعي هذا التنبيه من قاعدة البيانات. لتفادي الضغط الإضافي الغير مفيد لقاعدة البيانات.";
				update_config_file();
			} else {
				$error = "هناك خطأ من قاعدة البيانات. حاول مرة أخرى.";
			}
		}
	}
	
	// Edit Notifications Processor
	if (isset($_POST['notification_edit_submit']) || isset($_POST['notification_edit_submit_x'])) {

		if (empty($_POST['edit_notification_name'])) {
			$error = "يجب أن تكتب إسمًا لهذا التنبيه.";
		}
		
		if (empty($_POST['edit_notification_markup'])) {
			$error = "يجب أن تكتب صيغة وكود التنبيه.";
		}
		
		if (empty($error)) {
			
			$sql = "UPDATE arrowchat_notifications_markup SET name='".mysql_real_escape_string($_POST[edit_notification_name])."', markup='".mysql_real_escape_string(stripslashes($_POST[edit_notification_markup]))."' WHERE id='".mysql_real_escape_string($_POST[notification_id])."'";
			$result = mysql_query($sql);
			if ($result) {
				$msg = "تم تعديل التنبيه بنجاح.";
			} else {
				$error = "هناك خطأ من قاعدة البيانات. حاول مرة أخرى.";
			}
		}
		$_GET['id'] = $_POST['link_id'];
	}
	
	
	function folderlist(){
		$startdir = '../applications/';
		$ignoredDirectory[] = '.'; 
		$ignoredDirectory[] = '..';
		if (is_dir($startdir)){
		   if ($dh = opendir($startdir)){
			   while (($folder = readdir($dh)) !== false){
				   if (!(array_search($folder,$ignoredDirectory) > -1)){
					 if (filetype($startdir . $folder) == "dir"){
						   $directorylist[$startdir . $folder]['name'] = $folder;
						   $directorylist[$startdir . $folder]['path'] = $startdir;
					   }
				   }
			   }
			   closedir($dh);
		   }
		}
		return($directorylist);
	}
	$create_db=nulled;
?>

<? require ("includes/pages_header.php"); ?>

<?
	if (!empty($msg)) {
?>
			<div dir="rtl" class="success"> 
				<div dir="rtl" style="font-weight: bold;">تـم بنجاح:</div> 
				<?=$msg?>
			</div> 
<?
	}
?>
<?
	if (!empty($error)) {
?>
			<div dir="rtl" class="error"> 
				<div dir="rtl" style="font-weight: bold;">:عذرا!! كان هناك خطأ</div> 
				<?=$error?>
			</div> 
<?
	}
?>

			<div dir="rtl" class="title_bg"> 
				<div dir="rtl" class="title">عــام</div> 
				<div dir="rtl" class="module_content">
					<form method="post" action="<?=$_SERVER['PHP_SELF']?>?do=<?=$_GET['do']?>" enctype="multipart/form-data">

<?
	if ($do == "chatfeatures") {
?>
					<img src="images/icons/bubble_32.png" alt="" border="0" />&nbsp;<div dir="rtl" class="subtitle">خـيارات الدردشة</div><br />
					<table cellspacing="0" cellpadding="0" class="module_table">
						<tr>
							<th>
								إمكانية إخفاء شريط الدردشة<br />
								<span dir="rtl" class="subtext">تمكين الأعضاء من إخفاء شريط الدردشة . هذا سيخفي أي روابط وتطبيقات أيضا.</span>
							</th>
							<td><input type="checkbox" name="hide_bar_on" <?=$hide_bar_on == 1 ? "checked" : ""?> value="1" /></td>
						</tr>
						<!--<tr>
							<th>
								تفعيل غرف الدردشة<br />
								<span class="subtext">تمكين الأعضاء من اشتخدام غرف الدردشة. هذه الميزة تستخدم استعلامات كثيرة على قاعدة البيانات، وتعطيلها يحسن أداء وسرعة التطبيق والموقع.</span>
							</th>
							<td><input type="checkbox" name="chatrooms_on" <?=$chatrooms_on == 1 ? "checked" : ""?> value="1" /></td>
						</tr> -->
						<tr>
							<th>
								تمكين تنبيهات الموقع<br />
								<span dir="rtl" class="subtext">تمكن الأعضاء من استخدام ميزة تنبيهات الموقع . تفعيل هذه الخاصية يزيد الاستعلامات على قاعدة البيانات. وتعطيلها يحسن من السرعة والاداء.</span>
							</th>
							<td><input type="checkbox" name="notifications_on" <?=$notifications_on == 1 ? "checked" : ""?> value="1" /></td>
						</tr>
						<tr>
							<th>
								تفعيل التطبيقات<br />
								<span dir="rtl" class="subtext">تفعيل قائمة التطبيقات.</span>
							</th>
							<td><input type="checkbox" name="applications_on" <?=$applications_on == 1 ? "checked" : ""?> value="1" /></td>
						</tr>
						<!--<tr>
							<th>
								تمكين المحادثة في صفحة مستقلة<br />
								<span class="subtext">تتيح للأعضاء الدردشة في صفحة مستقلة.</span>
							</th>
							<td><input type="checkbox" name="popout_chat_on" <?=$popout_chat_on == 1 ? "checked" : ""?> value="1" /></td>
						</tr> -->
						<!-- <tr>
							<th>
								تفعيل تغيير الستايل<br />
								<span class="subtext">السماح للأعضاء بتغيير ستايل الدردشة لأي ستايل آخر مفعّل.</span>
							</th>
							<td><input type="checkbox" name="theme_change_on" <?=$theme_change_on == 1 ? "checked" : ""?> value="1" /></td>
						</tr> -->
					</table>
					
					<p class="submit">
						<input type="submit" name="chatfeatures_submit" class="button-primary" value="حفظ التغييرات" />
					</p>
<?
	}
?>

<?
	if ($do == "configsettings") {
?>
					<img src="images/icons/gear_32.png" alt="" border="0" />&nbsp;<div dir="rtl" class="subtitle">تهيئة الدردشة</div><br />
					<table dir="rtl" cellspacing="0" cellpadding="0" class="module_table">
						<tr>
							<th>
								المسار الرئيسي<br />
								<span dir="rtl" class="subtext">اكتب مسار تنصيب الـ ArrowChat.<br /><i>مثال: /arrowchat/</i></span>
							</th>
							<td><input dir="ltr" type="text" name="config_base_url" value="<?=$base_url?>" /></td>
						</tr>
						<tr>
							<th>
								المسار الفرعي<br />
								<span dir="rtl" class="subtext">اكتب المسار فقط بدون http.<br /><i>مثال: channel.domain.com</i></span>
							</th>
							<td><input dir="ltr" type="text" name="config_sub_url" value="<?=$channel_name?>" /></td>
						</tr>
						<tr>
							<th>
								وقت بقاء العضو متصلا<br />
								<span dir="rtl" class="subtext">الوقت بالثواني والذي يجب أن ينتظره العضو بدون فاعلية حتى ينتهي وقت الدخول. </span>
							</th>
							<td><input type="text" name="config_online_timeout" value="<?=$online_timeout?>" /> ثانية</td>
						</tr>
						<tr>
							<th>
								نبض التحديث<br />
								<span dir="rtl" class="subtext">كم الوقت المستغرق بالثواني لكي يتبادل المسار الفرعي المعلومات. زيادة هذا الخيار سيستهلك المزيد من الموارد ، ولكن سيستقبل الأعضاء رسائلهم بشكل أسرع.</span>
							</th>
							<td><input type="text" name="config_heart_beat" value="<?=$heart_beat?>" /> ثانية</td>
						</tr>
						<tr>
							<th>
								وقت الخمول<br />
								<span dir="rtl" class="subtext">الوقت بالدقيقة واللذي يعتبر العضو بعده خاملا ما لم يحرك الماوس او يضغط على اي مفتاح.</span>
							</th>
							<td><input type="text" name="config_idle_time" value="<?=$idle_time?>" /> دقيقة</td>
						</tr>
						<tr>
							<th>
								تعطيل الانتخاب طويل الأجل<br />
								<span dir="rtl" class="subtext">فعل هذا الخيار لتعطيل الانتخاب طويل الأجل. يفضل ترك هذا الخيار كما هو إلا إذا كنت تواجه مشكلة في أداء تطبيق ArrowChat.</span>
							</th>
							<td><input type="checkbox" name="config_disable_long_polling" <?=$disable_long_polling == 1 ? "checked" : ""?> value="1" /></td>
						</tr>
						<tr>
							<th>
								تعطيل الابتسامات<br />
								<span dir="rtl" class="subtext">فعل هذا الخيار لتعطيل الابتسامات في الدردشة.</span>
							</th>
							<td><input type="checkbox" name="config_disable_smilies" <?=$disable_smilies == 1 ? "checked" : ""?> value="1" /></td>
						</tr>
					</table>
					
					<p class="submit">
						<input type="submit" name="config_submit" class="button-primary" value="حفظ التغييرات" />
					</p>
<?
	}
?>

<?
	if ($do == "appsettings") {
?>
					<img src="images/icons/save_32.png" alt="" border="0" />&nbsp;<div dir="rtl" class="subtitle">التحكم بالتطبيقات</div><br /><br />
					<b>التطبيقات المثبتة</b>
					<table dir="rtl" cellspacing="0" cellpadding="0" class="table_table">
						<thead>
							<tr>
								<td dir="rtl" style="width: 400px;">الإسم</td>
								<td dir="rtl" style="width: 100px;">التفعيل</td>
								<td>خيارات</td>
							</tr>
						</thead>
						<tbody>
<?
		$apps_array = array();
		$sql = "SELECT * FROM arrowchat_applications";
		$result = mysql_query($sql);
		while ($row = mysql_fetch_assoc($result)) {
			$apps_array[] = $row['folder'];
?>
							<tr>
								<td><?=$row['name']?></td>
								<td><? if ($row['active']==1) echo "نعم"; else echo "لا"; ?></td>
								<td><a href="general.php?do=appsedit&id=<?=$row['id']?>">تعديل</a> | <a href="general.php?do=appsettings&activate=<?=$row['active']?>&id=<?=$row['id']?>"><? if ($row['active']==1) echo "إلغاء التفعيل"; else echo "تفعيل"; ?></a> | <a href="general.php?do=appsettings&delete=<?=$row['id']?>">إزالة</a></td>

							</tr>
<?
		}
?>
						</tbody>
					</table>
					<br /><br />
					<b>التطبيقات الغير مثبتة</b>
					<table dir="rtl" cellspacing="0" cellpadding="0" class="table_table">
						<thead>
							<tr>
								<td dir="rtl" style="width: 517px;">الإسم</td>
								<td>خيارات</td>
							</tr>
						</thead>
						<tbody>
<?
		$folders = folderlist();
		$no_installed = true;
		if (!empty($folders)) {
			foreach ($folders as $folder) {
				if (!in_array($folder['name'], $apps_array)) {
					$no_installed = false;
?>
							<tr>
								<td><?=$folder['name']?></td>
																<td>
<?
	if (file_exists("../applications/".$folder['name']."/install_config.php")) {
?>
									<a href="general.php?do=appsettings&f=<?=$folder['name']?>">تـثـبيت</a>
<?
	} else {
?>
									لم يتم العثور على ملف التنصيب
<?
	}
?>
								</td>
							</tr>
<?
				}
			}
		}
		
		if ($no_installed) {
?>
							<tr>
								<td dir="rtl" colspan="2">لا يوجد تطبيقات غير مثبتة</td>
							</tr>
<?
		}
?>
						</tbody>
					</table>
<?
	}
?>

<?
	if ($do == "appsedit") {
		if (!empty($msg)) {
?>
					<a href="general.php?do=appsettings">اضغط هنا للانتقال لإدارة التطبيقات</a>
<?
		} else {
			$sql = "SELECT * FROM arrowchat_applications WHERE id='".mysql_real_escape_string($_GET[id])."'";
			$result = mysql_query($sql);
			if ($result && mysql_num_rows($result) > 0) {
				$row = mysql_fetch_array($result);
?>
					<img src="images/icons/save_32.png" alt="" border="0" />&nbsp;<div dir="rtl" class="subtitle">إعدادات التطبيق</div><br /><br />
					<table dir="rtl" cellspacing="0" cellpadding="0" class="module_table">
						<tr>
							<th>
								إسم التطبيق<br />
								<span dir="rtl" class="subtext">اكتب اسم التطبيق.</span>
							</th>
							<td><input dir="ltr" type="text" name="app_name" value="<?=$row['name']?>" /></td>
						</tr>
						<tr>
							<th>
								مسار المجلد<br />
								<span dir="rtl" class="subtext">مسار مجلد التطبيق . يجب عليك عدم تغييره.</span>
							</th>
							<td><input dir="ltr" type="text" name="app_folder" value="<?=$row['folder']?>" /></td>
						</tr>
						<tr>
							<th>
								مسار الأيقونة<br />
								<span dir="rtl" class="subtext">مسار ملف الايقونة في مجلد الصور الخاص بالتطبيق. مثال: اكتب icon.gif لـ applications/bloons/images/icon.gif</span>
							</th>
							<td><input dir="ltr" type="text" name="app_icon" value="<?=$row['icon']?>" /></td>
						</tr>
						<tr>
							<th>
								عرض النافذة<br />
								<span dir="rtl" class="subtext">عرض نافذة التطبيق. اتركه فارغا كان التطبيق عبارة عن رابط.</span>
							</th>
							<td><input dir="ltr" type="text" name="app_width" value="<?=$row['width']?>" /></td>
						</tr>
						<tr>
							<th>
								ارتفاع النافذة<br />
								<span dir="rtl" class="subtext">ارتفاع نافذة التطبيق. اتركه فارغا كان التطبيق عبارة عن رابط.</span>
							</th>
							<td><input dir="ltr" type="text" name="app_height" value="<?=$row['height']?>" /></td>
						</tr>
						<tr>
							<th>
								مسار التطبيق<br />
								<span dir="rtl" class="subtext">اختياري - ضع رابطا ليتم فتحه عند النقر على ايقونة التطبيق. اتركه فارغا اذا كان التطبيق عبارة عن نافذة منبثقة.</span>
							</th>
							<td><input dir="ltr" type="text" name="app_url" value="<?=$row['link']?>" /></td>
						</tr>
						<tr>
							<th>
								مسار التحديث<br />
								<span dir="rtl" class="subtext">اختياري - المسار الذي سيعرض أحدث نسخة متوفرة من التطبيق. وتستخدم هذه للتحقق من آخر نسخة متوفرة من التطبيق.</span>
							</th>
							<td><input dir="ltr" type="text" name="app_update_url" value="<?=$row['update_link']?>" /></td>
						</tr>
					</table>
					
					<p class="submit">
						<input type="hidden" name="app_id" value="<?=$row['id']?>" />
						<input type="submit" name="app_edit_submit" class="button-primary" value="حفظ التغييرات" />
					</p>
<?
			} else {
?>
				التطبيق غير موجود.
<?
			}
		}
	}
?>

<?
	if ($do == "notificationsettings") {
?>
					<img src="images/icons/flag_32.png" alt="" border="0" />&nbsp;<div class="subtitle">التحكم بالتنبيهات</div><br /><br />
					<b>الروابط</b>
					<table dir="rtl" cellspacing="0" cellpadding="0" class="table_table">
						<thead>
							<tr>
								<td dir="rtl" style="width: 500px;">الإسم</td>
								<td>الإجراء</td>
							</tr>
						</thead>
						<tbody>
<?
		$theme_array = array();
		$sql = "SELECT * FROM arrowchat_notifications_markup ORDER BY id ASC";
		$result = mysql_query($sql);
		if ($result && mysql_num_rows($result) > 0) {
			while ($row = mysql_fetch_assoc($result)) {
?>
							<tr>
								<td><?=$row['name']?></td>
								<td><a href="general.php?do=notificationsedit&id=<?=$row['id']?>">تعديل</a> | <a href="general.php?do=notificationsettings&delete=<?=$row['id']?>">إزالة</a></td>
							</tr>
<?
			}
		} else {
?>
							<tr>
								<td colspan="3">لا يوجد تنبيهات مهيئة</td>
							</tr>
<?
		}
?>
						</tbody>
					</table>
					</form>

				</div>
			</div>
			<div dir="rtl" class="title_bg"> 
				<div dir="rtl" class="title">اضافة تنبيه</div> 
				<div dir="rtl" class="module_content">
					<form method="post" action="<?=$_SERVER['PHP_SELF']?>?do=<?=$_GET['do']?>" enctype="multipart/form-data">
					<table cellspacing="0" cellpadding="0" class="module_table">
						<tr>
							<th dir="rtl" style="width: 200px;" valign="top">
								الإسم<br />
								<span dir="rtl" class="subtext">أدخل الإسم لهذا التنبيه</span>
							</th>
							<td><input dir="ltr" type="text" name="add_notification_name" value="<?=$_POST['add_notification_name']?>" /></td>
						</tr>
						<tr>
							<th dir="rtl" style="width: 200px;" valign="top">
								كود التنبيه<br />
								<span dir="rtl" class="subtext">كود التنبيه بلغة HTML</span>
							</th>
							<td><textarea dir="ltr" style="width: 450px; height: 200px;" name="add_notification_markup"><?=$_POST['add_notification_markup']?></textarea></td>
						</tr>
						<tr>
							<th valign="top">دلالات الأكواد</th>
							<td dir="ltr" style="font-size: 12px;">
								{author_name} - Returns the name of who sent the notification.<br />
								{author_name} - دلالة اسم من ارسل التنبيه.<br />
								{author_id} - Returns the ID of who sent the notification.<br />
								{author_id} - دلالة رقم عضوية من ارسل التنبيه.<br />
								{longago} - Returns how long ago the notification was received.  Ex: 7 seconds ago<br />
								{longago} - دلالة الوقت المنقضي من ارسال التنبيه.  مثال: 7 seconds ago<br />
								{message_time} - Returns the unix time of when the notification was received.<br />
								{message_time} - دلالة وقت يونكس الخاص بوقت استقبال التنبيه.
							</td>
						</tr>
					</table>
					
					<p class="submit">
						<input type="submit" name="add_notification_submit" class="button-primary" value="إضافة تنبيه" />
					</p>
					
<?
	}
?>

<?
	if ($do == "notificationsedit") {
		if (!empty($msg)) {
?>
					<a href="general.php?do=notificationsettings">اضغط هنا للعودة لتهيئة التنبيهات</a>
<?
		} else {
			$sql = "SELECT * FROM arrowchat_notifications_markup WHERE id='".mysql_real_escape_string($_GET[id])."'";
			$result = mysql_query($sql);
			if ($result && mysql_num_rows($result) > 0) {
				$row = mysql_fetch_array($result);
?>
					<img src="images/icons/flag_32.png" alt="" border="0" />&nbsp;<div class="subtitle">تعديل التنبيه</div><br /><br />
					<table dir="rtl" cellspacing="0" cellpadding="0" class="module_table">
						<tr>
							<th dir="rtl" style="width: 200px;" valign="top">
								الإسم<br />
								<span dir="rtl" class="subtext">ادخل اسما لهذا التنبيه.</span>
							</th>
							<td><input dir="ltr" type="text" name="edit_notification_name" value="<?=$row['name']?>" /></td>
						</tr>
						<tr>
							<th dir="rtl" style="width: 200px;" valign="top">
								الرقم المتسلسل<br />
								<span dir="rtl" class="subtext">استخدم هذا الرقم عند ادخال التنبيهات لقاعدة البيانات</span>
							</th>
							<td><input dir="ltr" type="text" name="edit_notification_type" disabled="disabled" value="<?=$row['type']?>" /></td>
						</tr>
						<tr>
							<th dir="rtl" style="width: 200px;" valign="top">
								كود التنبيه<br />
								<span dir="rtl" class="subtext">كود التنبيه بلغة HTML</span>
							</th>
							<td><textarea dir="ltr" style="width: 450px; height: 200px;" name="edit_notification_markup"><?=$row['markup']?></textarea></td>
						</tr>
						<tr>
							<th valign="top">دلالات الأكواد</th>
							<td dir="ltr" style="font-size: 12px;">
								{author_name} - Returns the name of who sent the notification.<br />
								{author_name} - دلالة اسم من ارسل التنبيه.<br />
								{author_id} - Returns the ID of who sent the notification.<br />
								{author_id} - دلالة رقم عضوية من ارسل التنبيه.<br />
								{longago} - Returns how long ago the notification was received.  Ex: 7 seconds ago<br />
								{longago} - دلالة الوقت المنقضي من ارسال التنبيه.  مثال: 7 seconds ago<br />
								{message_time} - Returns the unix time of when the notification was received.<br />
								{message_time} - دلالة وقت يونكس الخاص بوقت استقبال التنبيه.
							</td>
						</tr>
					</table>
					
					<p class="submit">
						<input type="hidden" name="notification_id" value="<?=$row['id']?>" />
						<input type="submit" name="notification_edit_submit" class="button-primary" value="حفظ التغييرات" />
					</p>
<?
			} else {
?>
				هذا التنبيه غير موجود.
<?
			}
		}
	}
?>

<?
	if ($do == "traylinks") {
?>
					<img src="images/icons/globe_32.png" alt="" border="0" />&nbsp;<div dir="rtl" class="subtitle">إدارة الروابط</div><br /><br />
					<b>الروابط المضافة</b>
					<table dir="rtl" cellspacing="0" cellpadding="0" class="table_table">
						<thead>
							<tr>
								<td dir="rtl" style="width: 400px;">الإسم</td>
								<td dir="rtl" style="width: 100px;">تفعيل</td>
								<td>الإجراءات</td>
							</tr>
						</thead>
						<tbody>
<?
		$theme_array = array();
		$sql = "SELECT * FROM arrowchat_trayicons ORDER BY tray_location ASC";
		$result = mysql_query($sql);
		if ($result && mysql_num_rows($result) > 0) {
			while ($row = mysql_fetch_assoc($result)) {
?>
							<tr>
								<td><?=$row['name']?></td>
								<td><? if ($row['active']==1) echo "Yes"; else echo "No"; ?></td>
								<td><a href="general.php?do=traylinksedit&id=<?=$row['id']?>">تعديل</a> | <a href="general.php?do=traylinks&activate=<?=$row['active']?>&id=<?=$row['id']?>"><? if ($row['active']==1) echo "Deactivate"; else echo "Activate"; ?></a> | <a href="general.php?do=traylinks&delete=<?=$row['id']?>">إزالة</a></td>
							</tr>
<?
			}
		} else {
?>
							<tr>
								<td dir="rtl" colspan="3">لا يوجد روابط مضافة</td>
							</tr>
<?
		}
?>
						</tbody>
					</table>
					</form>

				</div>
			</div>
			<div class="title_bg"> 
				<div dir="rtl" class="title">اضافة رابط جديد</div> 
				<div dir="rtl" class="module_content">
					<form method="post" action="<?=$_SERVER['PHP_SELF']?>?do=<?=$_GET['do']?>" enctype="multipart/form-data">
					<table dir="rtl" cellspacing="0" cellpadding="0" class="module_table">
						<tr>
							<th>
								اسم الرابط<br />
								<span dir="rtl" class="subtext">اسم الرابط. سيكون هذا عنوان الرابط اذا لم يتم تحديد عرض للسان الرابط.</span>
							</th>
							<td><input dir="ltr" type="text" name="link_name" value="" /></td>
						</tr>
						<tr>
							<th>
								مكان الأيقونة<br />
								<span dir="rtl" class="subtext">مسار ملف الأيقونة في مجلد الأيقونات للستايل. مثال: اكتب mail.gif للمسار themes/default/images/icons/mail.gif</span>
							</th>
							<td><input dir="ltr" type="text" name="link_icon" value="" /></td>
						</tr>
						<tr>
							<th>
								عنوان الرابط<br />
								<span dir="rtl" class="subtext">العنوان اللذي سيفتح عند الضغط على الرابط. اكتب العنوان الكامل متضمنًا http://</span>
							</th>
							<td><input dir="ltr" type="text" name="link_url" value="" /></td>
						</tr>
						<tr>
							<th>
								الهدف<br />
								<span dir="rtl" class="subtext">اختياري - إعداد هدف الرابط. مثال: _blank</span>
							</th>
							<td><input dir="ltr" type="text" name="link_target" value="" /></td>
						</tr>
						<tr>
							<th>
								عرض اللسان<br />
								<span dir="rtl" class="subtext">اختياري - حجم عرض اللسان لتفعيل النص في اسم اللسان. اذا تركته فارغا ، افتراضيا سيتم اختيار عرض 16 . اكتب ارقاما فقط.</span>
							</th>
							<td><input dir="ltr" type="text" name="link_tab_width" value="" /></td>
						</tr>
						<tr>
							<th>
								اسم اللسان<br />
								<span dir="rtl" class="subtext">اختياري - اكتب نصا ليظهر على يمين الأيقونة على اللسان. يجب ان يكون عرض اللسان كافيا ليتسع للنص.</span>
							</th>
							<td><input dir="ltr" type="text" name="link_tab_name" value="" /></td>
						</tr>
					</table>
					
					<p class="submit">
						<input type="submit" name="link_add_submit" class="button-primary" value="إضافة رابط" />
					</p>
					
<?
	}
?>

<?
	if ($do == "traylinksedit") {
		if (!empty($msg)) {
?>
					<a href="general.php?do=traylinks">اضغط هنا للعودة لصفحة تعديل الروابط</a>
<?
		} else {
			$sql = "SELECT * FROM arrowchat_trayicons WHERE id='".mysql_real_escape_string($_GET[id])."'";
			$result = mysql_query($sql);
			if ($result && mysql_num_rows($result) > 0) {
				$row = mysql_fetch_array($result);
?>
					<img src="images/icons/globe_32.png" alt="" border="0" />&nbsp;<div dir="rtl" class="subtitle">تعديل الروابط</div><br /><br />
					<table dir="rtl" cellspacing="0" cellpadding="0" class="module_table">
						<tr>
							<th>
								اسم الرابط<br />
								<span dir="rtl" class="subtext">اسم الرابط. سيكون هذا عنوان الرابط اذا لم يتم تحديد عرض للسان الرابط.</span>
							</th>
							<td><input dir="ltr" type="text" name="link_name" value="<?=$row['name']?>" /></td>
						</tr>
						<tr>
							<th>
								مكان الأيقونة<br />
								<span dir="rtl" class="subtext">مسار ملف الأيقونة في مجلد الأيقونات للستايل. مثال: اكتب mail.gif للمسار themes/default/images/icons/mail.gif</span>
							</th>
							<td><input dir="ltr" type="text" name="link_icon" value="<?=$row['icon']?>" /></td>
						</tr>
						<tr>
							<th>
								عنوان الرابط<br />
								<span dir="rtl" class="subtext">العنوان اللذي سيفتح عند الضغط على الرابط. اكتب العنوان الكامل متضمنًا http://</span>
							</th>
							<td><input dir="ltr" type="text" name="link_url" value="<?=$row['location']?>" /></td>
						</tr>
						<tr>
							<th>
								الهدف<br />
								<span dir="rtl" class="subtext">اختياري - إعداد هدف الرابط. مثال: _blank</span>
							</th>
							<td><input dir="ltr" type="text" name="link_target" value="<?=$row['target']?>" /></td>
						</tr>
						<tr>
							<th>
								عرض اللسان<br />
								<span dir="rtl" class="subtext">اختياري - حجم عرض اللسان لتفعيل النص في اسم اللسان. اذا تركته فارغا ، افتراضيا سيتم اختيار عرض 16 . اكتب ارقاما فقط.</span>
							</th>
							<td><input dir="ltr" type="text" name="link_tab_width" value="<?=$row['tray_width']?>" /></td>
						</tr>
						<tr>
							<th>
								اسم اللسان<br />
								<span dir="rtl" class="subtext">اختياري - اكتب نصا ليظهر على يمين الأيقونة على اللسان. يجب ان يكون عرض اللسان كافيا ليتسع للنص.</span>
							</th>
							<td><input dir="ltr" type="text" name="link_tab_name" value="<?=$row['tray_name']?>" /></td>
						</tr>
					</table>
					
					<p class="submit">
						<input type="hidden" name="link_id" value="<?=$row['id']?>" />
						<input type="submit" name="link_edit_submit" class="button-primary" value="حفظ التغييرات" />
					</p>
<?
			} else {
?>
				هذا الرابط غير موجود.
<?
			}
		}
	}
?>

<?
	if ($do == "update") {
		//$fp = fopen("http://www.narrowchat.com/license/version.txt", "r");
		$current_version =ARROWCHAT_VERSION; 
		//fclose ($fp);
		
		$test = true;
		if (ARROWCHAT_VERSION == $current_version) {
			$cv_msg = "You have the latest version of ArrowChat. You do not need to upgrade.";
			$cv_msg2 = "You have the latest version of ArrowChat. You do not need to upgrade. However, if you want to re-install version ".ARROWCHAT_VERSION.", you can download the package and re-install:";
		} else {
			$cv_msg = "There is a new version of ArrowChat.  Please download it below.";
			$cv_msg2 = "You do not have the latest version of ArrowChat, and need to upgrade. If your subscription is still active, you can download the update for free below:";
			$test = false;
		}
?>
					<img src="images/icons/down_32.png" alt="" border="0" />&nbsp;<div dir="rtl" class="subtitle">تحديث</div><br /><br />
					<span dir="rtl" style="font-weight: bold; font-size: 14px;"><?=$cv_msg?></span><br /><br />
					النسخة الموجودة لديك: <span style="color: #<?=$test ? "1b7b29" : "d32c2c" ?>; font-weight: bold;"><?=ARROWCHAT_VERSION?></span><br />
					النسخة المتوفرة على الانترنت: <span style="color: #1b7b29; font-weight: bold;"><?=$current_version?></span><br /><br />
					<?=$cv_msg2?>
					<br /><br />
					<input type="button" class="button-secondary" onClick="location.href='http://www.narrowchat.com/members/';return false;" value="Download <?=$current_version?>" />
<?
	}
?>
					
					</form>

				</div>
			</div>

<? require ("includes/pages_footer.php"); ?>